package com.fjhx.service.supplier;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.supplier.SupplierPriceChange;
import com.fjhx.params.supplier.SupplierPriceChangeVo;
import com.fjhx.base.StorageBaseService;

import java.util.Map;

/**
 * <p>
 * 供应商价格维护变更记录 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-13
 */
public interface SupplierPriceChangeService extends StorageBaseService<SupplierPriceChange> {

    Page<SupplierPriceChange> getPage(Map<String, String> condition);

    void add(SupplierPriceChangeVo supplierPriceChangeVo);

    void edit(SupplierPriceChangeVo supplierPriceChangeVo);

    void delete(SupplierPriceChangeVo supplierPriceChangeVo);

}
